Skip to main content
POST
/
api
/
v2.1
/
customer
/
organization
/
{organizationId}
/
employee
cURL
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/employee \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "person": {
    "firstName": "Jane",
    "lastName": "Compliance",
    "email": "compliance.20260331115443@acmecorp.com",
    "phoneNumber": "+37066051634",
    "dateOfBirth": "1990-03-25",
    "nationality": "Lithuania",
    "gender": "1",
    "fullName": "Jane Compliance"
  },
  "position": "COMPLIANCE_OFFICER",
  "roles": [
    "COMPLIANCE_OFFICER",
    "TRANSACTION_APPROVER",
    "EMPLOYEE",
    "ADMIN_USER"
  ],
  "department": "Compliance"
}
'

Organization Add Employee

Adds an employee profile and creates a user for an existing organization.

Endpoint

POST /api/v2.1/customer/organization/{organizationId}/employee

Default Role Set (runner-aligned)

COMPLIANCE_OFFICER, TRANSACTION_APPROVER, EMPLOYEE, ADMIN_USER

Required Headers

Request Example

{
  "person": {
    "firstName": "Jane",
    "lastName": "Compliance",
    "email": "compliance.20260331115443@acmecorp.com",
    "phoneNumber": "+37066051634",
    "dateOfBirth": "1990-03-25",
    "nationality": "Lithuania",
    "gender": "1",
    "fullName": "Jane Compliance"
  },
  "position": "COMPLIANCE_OFFICER",
  "roles": ["COMPLIANCE_OFFICER", "TRANSACTION_APPROVER", "EMPLOYEE", "ADMIN_USER"],
  "department": "Compliance"
}

Success Response

200
{
  "code": 200,
  "data": {
    "individual": {
      "userId": "da9a15d2-1eb9-4804-a812-b58b03f33018",
      "email": "compliance.20260331115443@acmecorp.com"
    }
  },
  "message": "Employee added successfully with role validation"
}
Used in B2B step runner Step 4.

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Path Parameters

organizationId
string
required

Body

application/json
person
object
required
Example:
{
"firstName": "Jane",
"lastName": "Compliance",
"email": "compliance.20260331115443@acmecorp.com",
"phoneNumber": "+37066051634",
"dateOfBirth": "1990-03-25",
"nationality": "Lithuania",
"gender": "1",
"fullName": "Jane Compliance"
}
position
string
required
Example:

"COMPLIANCE_OFFICER"

roles
string[]
required
Example:
[
"COMPLIANCE_OFFICER",
"TRANSACTION_APPROVER",
"EMPLOYEE",
"ADMIN_USER"
]
department
string
required
Example:

"Compliance"

Response

200

Employee added